@echo off

REM
REM This script was made with the help of JC Sullins script called tptb_v42_win.bat, thanks to him.
REM Also used the boot.img file from HP_TOUCHPAD's 'Automatic_Wipe_All_and_Create_Android_with_Swap_Partition.zip' 
REM so thanks to him too.
REM
REM This script allows an install of WIPEALL and 3.2.1-0 TWRP into the TouchPad, so you can install new versions of 
REM Android ROM, Gapps and Recovery and other zips.
REM
REM Author: DoubleStuff v01
REM Author: DoubleStuff v02
REM

echo Setting Palm path ...
path %ProgramFiles%\Palm, Inc;%PATH%

echo Checking novacom service ...
novacom -l
if errorlevel 9009 goto NONC
if errorlevel 1 goto NOSVC

:MAINMENU
echo ------------ MAIN MENU ----------------------------
echo 1) Install WIPEALL.
echo 2) Run TouchPadToolBox ( TPTB )
echo e) Exit Main Menu
echo ---------------------------------------------------
echo ---------Follow the above instructions-------------
echo ---------------------------------------------------
SET /P _INP= When you see the giant USB symbol on Touchpad, enter the number of menu item you want to run, then press enter:
IF "%_INP%"=="1" goto WIPEALL
IF "%_INP%"=="2" goto TPTB
IF "%_INP%"=="e" goto EOP

echo INVALID ENTRY: enter lowercase number of menu item then press enter....  
cls
GOTO MAINMENU

:TPTB
set TPTB=TPToolbox-2015-01-08-v42.bin

if not exist %TPTB% goto NOTPTB

echo ...Trying to load TPToolbox ...
novacom boot mem:// < %TPTB%
if errorlevel 1 goto NOTP

echo ---------------------------------------------------
echo Wait and watch for TPToolbox to load on Touchpad...
echo 1) Then perform any TBTP step.
echo 2) Reboot and select WebOS recovery again on moboot menu to continue with this script, then press home key.
echo ---------------------------------------------------
echo ---------Follow the above instructions-------------
echo ---------------------------------------------------

pause
cls
GOTO MAINMENU


:WIPEALL
echo --------------------- 
echo Flash this file to make the HP Touchpad '100 percent' Android with a 500 MB swap partition.
echo The actual install of Automatic_Wipe_All_and_Create_Android_with_Swap_Partition.zip ( boot.img ) will be done by
echo this script. Wipe_All creates a 500 Mb swap partition, and re-creates the system, cache, media and 
echo data partitions with sizes of 2200 Mb, 200 Mb, 500 Mb, and "rest of memory" respectively, also automatically installs 
echo version 3.2.1-0 of TWRP which is required for the other ZIPs.
echo To be clear: this method will erase everything even WebOS and make the HP Touchpad '100 percent' Android. 
echo It will also create the new media, cache, data, system and SWAP partitions, and make the HP Touchpad work as a tablet. 
echo --------------------- 
SET /P _INP= To continue with WIPEALL load, enter c, to exit enter e ( press enter ):
IF "%_INP%"=="c" goto WIPEALL2
IF "%_INP%"=="e" goto EOP

echo INVALID ENTRY: enter lowercase c -or- e then ( press enter )....
GOTO :WIPEALL

:WIPEALL2
set WIPE=uImage.WIPE

if not exist %WIPE% goto NOWIPE

echo ...Trying to load uImage.WIPE file...
echo "...novacom boot mem:// < %WIPE%"
novacom boot mem:// < %WIPE%
cls
if errorlevel 1 goto NOTP

echo ---------------------------------------------------------------------------------
echo 1) Wait, and you will see a quick blue flash, and an orange header with some white text.
echo 2) Wait until the orange header disppears, it will then automatically reboot. ( about 2 minutes )
echo 3) At reboot, select 'boot Recovery' on moboot menu, then press home key.
echo ------------------------After Reboot---------------------------------------------
echo 1) Wait, and you will see the load of 3.2.1-0 TWRP recovery.
echo 2) Wait, and you will see Touchpad drive mounted on your PC.
echo 3) On PC Drag and Drop the ROM, GApps, and other important ZIPs to mounted touchpad directory.
echo 4) Press install on TWRP, drill to mounted directory and load zips.
echo 5) Select the 'adding more zips' button and follow this order: 
echo    ROM, Universal Optimized Swap Settings, GApps, and latest TWRP.
echo 4) Then flash, and wait about 5 minutes for the flashing to finish, then reboot system.
echo ---------------------------------------------------------------------------------
echo -------------------Follow the above instructions---------------------------------
echo ---------------------------------------------------------------------------------

pause
cls
GOTO MAINMENU

REM =======================START the ERROR messages ==================================

:NOTPTB
echo .
echo Cannot find Touchpad Toolbox binary file %TPTB%, it should be in same directory as this .bat file
echo .
pause
goto EOP

:NONC
echo .
echo Cannot find novacom program. Try re-installing novacomd.
echo .
pause
goto EOP

:NOSVC
echo .
echo Cannot find novacomd service. Try rebooting or re-installing novacomd.
echo .
pause
goto EOP

:NOTP
echo .
echo Cannot connect to Touchpad.
echo Step 1: Make sure Touchpad is connected with USB cable.
echo Step 2: Make sure Touchpad is in webOS Recovery mode...
echo .
pause
goto EOP

:NOWIPE
echo .
echo Cannot find extracted %WIPE% file, which user should of placed in same directory as this .bat file.
echo Extract the recommended Automatic_Wipe_All_and_Create_Android_with_Swap_Partition.zip file, 
echo and find the boot.img from the extraction and copy into the same directory as this .bat file is located
echo and rename it uImage.WIPE, or use the provided %WIPE% file. 
echo Do this first, and then press any key to continue with WIPE load....
echo .
pause
goto WIPEALL2

REM =======================END OF PROGRAM ( EOP ) ==================================

:EOP
REM END OF PROGRAM
